kr.co.hanwha.hifive.network.hanwha

## Class HanwhaJsonMaker

- java.lang.Object
- - kr.co.hanwha.hifive.network.hanwha.HanwhaJsonMaker

    public class HanwhaJsonMaker
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 11..

### Field Summary

Fields
`(package private) org.json.JSONObject` `jsonObject`

### Constructor Summary

Constructors
Constructor and Description
`HanwhaJsonMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addParam(java.lang.String key, boolean value)`
`boolean` `addParam(java.lang.String key, int value)`
`boolean` `addParam(java.lang.String key, java.util.List<java.lang.Object> params)`
`boolean` `addParam(java.lang.String key, java.lang.Object value)`
`boolean` `addParam(java.lang.String key, java.lang.String value)`
`private void` `checkNull()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### jsonObject

    org.json.JSONObject jsonObject

### Constructor Detail

#### HanwhaJsonMaker

    public HanwhaJsonMaker()

### Method Detail

#### checkNull

    private void checkNull()

#### addParam

    public boolean addParam(java.lang.String key,
                            java.lang.Object value)

#### addParam

    public boolean addParam(java.lang.String key,
                            int value)

#### addParam

    public boolean addParam(java.lang.String key,
                            java.lang.String value)

#### addParam

    public boolean addParam(java.lang.String key,
                            boolean value)

#### addParam

    public boolean addParam(java.lang.String key,
                            java.util.List<java.lang.Object> params)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`